How to Let iTextSharp work on DOTNET Compact Framework

Question,

I’m working on a project for pokect pc and I need to know how to use the iTextSharp API in the compact framework. Is it posible to do? or What changes can I do for making usefull the API in the compact framework?

Answer,
The compact framework is not supported but it doesn’t mean that it doesn’t work. The bouncycastle part already supports the compact framework and iTextSharp itself will need minor tweaks, see here for details.

About the iTextSharp Compact Framework 2.0 Patch,

just added compatibility for .NET Compact Framework 2.0. Attached archive
contains patchfile, VS2005 smartdevice project and two additional
compatibility classes.

Paulo, would be nice to see this in CVS; the patch was created for 4.0.1
but seems to work ok for 4.0.2 as well.
Laters,
Marco

Download iTextSharp Compact Framework 2.0 Patch here.

From:http://old.nabble.com/About-compact-Edition-td20190843.html

Leave a Reply